org.eclipse.rap.rwt.service

## Class FileSettingStoreFactory

- java.lang.Object
- - org.eclipse.rap.rwt.service.FileSettingStoreFactory

All Implemented Interfaces:
  SettingStoreFactory

    public final class FileSettingStoreFactory
    extends java.lang.Object
    implements SettingStoreFactory

A setting store factory that creates instances of `FileSettingStore`.

This implementation uses the following strategy to determine the path for persisting the data of the session store instances.

1. Use the directory specified by the init-parameter `"org.eclipse.rap.rwt.service.FileSettingStore.dir"` in the web.xml.
2. Use the directory specified by the `"javax.servlet.context.tempdir"` attribute in the servlet context.
3. Use the directory specified by the `"java.io.tempdir"` property.

The first path that can be obtained from the above choices (in the order given above) will be used. If the path determined does not exist it will be created.

Since:
  2.0

### Constructor Summary

Constructors
Constructor and Description
`FileSettingStoreFactory()`

### Method Summary

Methods
`SettingStore` `createSettingStore(java.lang.String id)` Creates and initializes a new specific setting store instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileSettingStoreFactory

    public FileSettingStoreFactory()

### Method Detail

#### createSettingStore

    public SettingStore createSettingStore(java.lang.String id)

Description copied from interface: `SettingStoreFactory`
Creates and initializes a new specific setting store instance.

Specified by:
  `createSettingStore` in interface `SettingStoreFactory`
Parameters:
  `id` - the ID for the setting store to create, must not be `null` or empty
Returns:
  the created setting store, never `null`

Copyright (c) EclipseSource and others 2002, 2017. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0